#include <Directory.h>
#include <Query.h>
#include <String.h>
#include <Volume.h>

int main(int argc, char **args) {
  BQuery query;
  {
    BDirectory dir(".");
    BVolume volume;
    dir.GetVolume(&volume);
    query.SetVolume(&volume);
  }
  for (int32 i = 0; i < 2048; i++) {
  	BString s;
  	s << i;
  	query.PushAttr("Category:Name");
  	query.PushString(s.String());
  	query.PushOp(B_EQ);
  	if (i > 0)
  	  query.PushOp(B_OR);
  }
  query.Fetch();
  entry_ref ref;
  query.GetNextRef(&ref);
}